rpma_conn_get_qp_num(3)

NAME
rpma_conn_get_qp_num - get the connection's qp_num

SYNOPSIS
      #include <librpma.h>

      struct rpma_conn;
      int rpma_conn_get_qp_num(const struct rpma_conn *conn, uint32_t *qp_num);

DESCRIPTION
rpma_conn_get_qp_num() obtains the unique identifier of the connection.

RETURN VALUE
The rpma_conn_get_qp_num() function returns 0 on success or a negative error code on failure. rpma_conn_get_qp_num() does not set *qp_num value on failure.

ERRORS
rpma_conn_get_qp_num() can fail with the following error:

•   RPMA_E_INVAL - conn or qp_num is NULL

SEE ALSO
rpma_conn_req_new(3), rpma_ep_next_conn_req(3), rpma_conn_req_connect(3), librpma(7) and https://pmem.io/rpma/